<?php
/**
 * @package DJ-Extensions-DJSectionsTab
 * @copyright Copyright (C) DJ-Extensions.com, All rights reserved.
 * @license http://www.gnu.org/licenses GNU/GPL
 * @author url: http://dj-extensions.com
 * @author email contact@m.herzberg
 */
defined('_JEXEC') or die;
// Title
$title = $this->el($element['title_element'], [

    'class' => [

        'el-title',
        'uk-[text-{@title_style: meta|lead}]{title_style}',
        'uk-heading-{title_decoration}',
        'uk-font-{title_font_family}',
        'uk-text-{title_color} {@!title_color: background}',
        'uk-margin[-{title_margin}]-top {@!title_margin: remove}',
        'uk-margin-remove-top {@title_margin: remove}',
        'uk-margin-remove-bottom',
    ],

]);



// Content
$content = $this->el('div', [

    'class' => [
        'el-content uk-panel',
        'uk-dropcap {@content_dropcap}',
        'uk-column-{content_column}[@{content_column_breakpoint}]',
        'uk-column-divider {@content_column} {@content_column_divider}',
        'uk-margin[-{content_margin}]-top {@!content_margin: remove}',
    ],

]);


// Title Grid
$grid = $this->el('div', [

    'class' => [
        'uk-child-width-expand',
    ],

    'uk-grid' => true,
]);

$cell_title = $this->el('div', [

    'class' => [
            'section-active',
        'uk-width-{title_grid_width}[@{title_grid_breakpoint}]',
        'uk-margin-remove-first-child',
    ],

]);

$cell_content = $this->el('div', [

    'class' => [
        'uk-margin-remove-first-child',
    ],

]);

?>
<script>
    jQuery(function($){
        $(<?php echo $props['sectionID']; ?>).addClass('uk-hidden');
        $(<?php echo $props['sectionID']; ?>).addClass('djsection');
        $('.djsection').first().removeClass('uk-hidden');

    });
</script>
<?php if ($props['title'] && $element['title_align'] == 'left') : ?>
<?= $grid($element) ?>
    <?= $cell_title($element) ?>
<?php endif ?>




